petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecStrideNormAll

Computes the norms of subvectors of a vector defined by a starting point and a stride.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStrideNormAll(Vec v,NormType ntype,PetscReal nrm[])

Collective on Vec Many br

### Input Parameter

| v | - the vector Many br
| ntype | - type of norm, one of NORM_1, NORM_2, NORM_INFINITY Many br

### Output Parameter

nrm -the norms Many br

### Notes

One must call VecSetBlockSize() before this routine to set the stride Many brinformation, or use a vector created from a multicomponent DMDA. Many br

If x is the array representing the vector x then this computes the norm Many brof the array (x[start],x[start+stride],x[start+2*stride], ....) for each start < stride Many br

The dimension of nrm must be the same as the vector block size Many br

This will only work if the desire subvector is a stride subvector Many br

Many br

### See Also

VecNorm(), VecStrideGather(), VecStrideScatter(), VecStrideMin(), VecStrideMax()

Level:advanced
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages